---
author: ~ben
published: true
title: irc etiquette
description: some guidelines for chatiquette
category: 
    - main
---

# guidelines

some rules adapted from: [fizerkhan/irc-etiquette](https://github.com/fizerkhan/irc-etiquette)

## no flooding/spamming/trolling in main channels
multiline messages belong in a pastebin. feel free to use https://ttm.sh (`echo "text here" | curl -F'file=@-;' https://ttm.sh`) or https://paste.tildeverse.org for a graphical pastebin.
if you have a need to spam many lines or abuse the figlet feature of tildebot, please do so in the appropriate channel (#chaos or #shitposting).

this includes ascii art and/or figlet output. please be considerate.

bot commands belong in #bots. please limit yourself to 2 or 3 commands at a time. spamming commands is unacceptable and subject to the consequences below.

## don't be lazy - read the documentation
if people tell you to read the documentation then you should do so. never say: "i'm too lazy. come on. you all know what i need to do. just tell me what i need to do." this will get you ignored for all eternity. however you can expect to be told where to find the documentation. but if you get an url then get it and read it. if the documentation is too technical or you don't understand certain sections then say: "i have now read chapter 3.1 of the url you gave me and i understand how virtual domains work in general. but how would i use both virtual and non-virtual domains together?"

## unintended rudeness
sometimes you may feel that others are rude. you may get a response like "reinstall the package. restart the service. read the /usr/share/doc/mysoftware/readme." although this is a very brief reply it is likely not meant to be rude. irc is often like human interaction without all the friendly bits. other people have probably answered your question a dozen of times today and they just want to help you solve the problem - not become close friends with you. don't be offended by it. the people don't mean it.

## try to not repeat yourself
asking the same question every minute is annoying. if anyone in the channel isn't paying attention then they will neither read you the second and third time. and those who came back from lunch or sleep will likely see in their "lastlog" what has happened lately. this is too demanding.

## avoid obnoxious behavior

the tildeverse is a purpose-driven community, intended to provide an environment where people can feel comfortable and supported in learning, practicing, or teaching about technology.  while this purpose permits for a wide variety of activities on tildverse IRC channels, obnoxious or intentionally annoying behavior is not allowed. be considerate of the others on the IRC board; think 
about how they will perceive your chat messages.  if people ask you to stop something, it's probably because you're being  obnoxious, and you should cut it out.  examples of obnoxious behavior include posting your stream of consciousness ideas when you are not actually interacting with others, repeating variations of phrases over and over, intentional join/part spam, or 
interacting with bots to the point of crowding out interactions from others.

## don't assume pronouns

if you know someone's pronouns, use them. try to default to they/them if you don't know.

- check with tildebot to see if the person in question has set pronouns: `/query tildebot pronouns <nick>`
- ask them!

## last but not least

be considerate to your fellow tildizens, take [accountability](user_accountability) for your actions, and don't forget to have fun!

# consequences
* first offenses will be handled with a kick from the channel with an explanation of the undesirable behavior. at this point, it's acceptable to rejoin.
* second offenses will be handled with a 1 hour tempban. following the tempban, an irc/chan op will check in and let you know what kinds of behaviors to avoid.
* third offenses will be the same as second, but with a 24 hour tempban period.

if the undesirable behavior continues, further methods (up to and including a permanent ban) will be discussed among the oper team.

if you have something that requires oper attention, please send an email to opers at tilde dot chat.
